#ifndef main_h
#define main_h

#define kInitWidth 640
#define kInitHeight 480

#include "cGame.h"
#include <iostream>

int main(int argc, char **argv);
void display(void);
void reshapeWindow(int width, int height);
void initGL();
void idle();
void keyboard(unsigned char key, int x, int y);
void keyboardUp(unsigned char key, int x, int y);
void specialKey(int key, int x, int y);
void specialKeyUp(int key, int x, int y);
void timer(int value);
void mouseClick(int button, int state, int x, int y); 
void mouseMove(int x, int y);

#endif // end define main_h